summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/pycharm-community/pycharm-community-2017.1.5.ebuild')
-rw-r--r--dev-util/pycharm-community/pycharm-community-2017.1.5.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-util/pycharm-community/pycharm-community-2017.1.5.ebuild b/dev-util/pycharm-community/pycharm-community-2017.1.5.ebuild
new file mode 100644
index 00000000000..6bcb19218d4
--- /dev/null
+++ b/dev-util/pycharm-community/pycharm-community-2017.1.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils readme.gentoo-r1
+
+DESCRIPTION="Intelligent Python IDE with unique code assistance and analysis"
+HOMEPAGE="http://www.jetbrains.com/pycharm/"
+SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD CDDL MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.8"
+DEPEND=""
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/${PN}/bin/fsnotifier
+ opt/${PN}/bin/fsnotifier64
+ opt/${PN}/bin/fsnotifier-arm"
+
+MY_PN=${PN/-community/}
+
+src_prepare() {
+ default
+
+ rm -rf jre || die
+}
+
+src_install() {
+ insinto /opt/${PN}
+ doins -r *
+
+ fperms a+x /opt/${PN}/bin/{pycharm.sh,fsnotifier{,64},inspect.sh}
+
+ dosym ../../opt/${PN}/bin/pycharm.sh /usr/bin/${PN}
+ newicon "bin/${MY_PN}.png" ${PN}.png
+ make_desktop_entry ${PN} "${PN}" "${PN}"
+
+ readme.gentoo_create_doc
+}